function im = drawGaborSymbol(im, allsymbol, row, col, orientationIndex, intensity)

nRow = size(im,1);
symbolSize = size(allsymbol{1});
h = (size(allsymbol{1}, 1)-1)/2;  % half size of Gabor

indexMatrixRowNum = repmat(((row-h):(row+h))',1,2*h+1);
indexMatrixColNum = repmat((col-h):(col+h),2*h+1,1);
indexMatrix = (indexMatrixColNum - 1) * nRow + indexMatrixRowNum;

to_draw = intensity * allsymbol{orientationIndex};
mask = to_draw <= im(indexMatrix);

im(indexMatrix) = (1-mask).*to_draw + mask.*im(indexMatrix);
